Bug 140262 - artsd hangs around forever when launched from GNOME
artsd hangs around forever when launched from GNOME
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: arts (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-21 16:07 EST by Sitsofe Wheeler
Modified: 2007-12-12 12:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-12 12:58:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sitsofe Wheeler 2004-11-21 16:07:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040804 Galeon/1.3.17

Description of problem:
If artsd is launched from within GNOME (as opposed to when KDE is set
as the desktop) then it will continue to run after the user logs out.

Version-Release number of selected component (if applicable):
arts-1.3.1-1

How reproducible:
Always

Steps to Reproduce:
1. Log into GNOME.
2. Start a terminal.
3. Run
noatun /usr/share/sounds/KDE_TypeWriter_Bell.ogg
(this will actually fail since noatun doesn't work with wavs but 
4. Quit noatun.
5. Log out of GNOME.
6. Log into a virtual terminal.
7. run ps auxw | grep artsd
    

Actual Results:
An artsd process is found.

Expected Results:
No artsd process to be running.

Additional info:

We are seeing this a lot in the small computer room we have because
users sign in and out all the time and use things like K3B from GNOME.
I'm not sure if this is leading to sound problems (i.e. the device
can't be obtained when they log into GNOME because the soundcard has
no hardware mixing and is kept open by artsd).

This does not happen if the Desktop Environment is set to be KDE.
Comment 1 Sitsofe Wheeler 2005-10-20 18:55:49 EDT
This is still here in FC4's arts-1.4.2-0.fc4.1
Comment 2 Sitsofe Wheeler 2006-05-26 13:14:33 EDT
This is still here in FC5's arts-1.5.2-0.1.fc5 . Perhaps this should be filed
against the devel version?
Comment 3 Graham Cole 2007-03-12 17:55:49 EDT
Still here on FC6 with arts-1.5.6-0.1.fc6
Comment 4 Rex Dieter 2007-12-12 12:58:58 EST
Thank you for the bug report. However, Fedora Project no longer maintains this
 version of the product. Please upgrade to the latest version and open a new bug
 if the problem persists.

Note You need to log in before you can comment on or make changes to this bug.